



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>BOM（浏览器对象模型）</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">BOM（浏览器对象模型）</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-24 01:19:44 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p><!--<br />
.t1{<br />
            background-color:#ff8080;<br />
            width:1100px;<br />
            height: 40px;<br />
        }<br />
--></p>
<div><a>一、BOM（浏览器对象模型）</a></div>
<h2>1.screen对象。</h2>
<div>
<pre class="prettyprint linenums">　　　　　　　console.log(screen);<br />
            console.log(window.screen);<br />
            console.log(screen.width);<br />
            console.log(screen.height);<br />
            console.log(screen.availHeight);//可用高度=screen-height-底部任务栏高度<br />
            console.log(screen.availWidth);//可用宽度</pre>
</div>
<h2>2.location对象。</h2>
<div>
<pre class="prettyprint linenums">　　　　　　　console.log(location);<br />
            console.log(location.href);//完整的URL路径<br />
            console.log(location.protocol);//协议名<br />
            console.log(location.hostname);//主机名<br />
            console.log(location.port);//端口号<br />
            console.log(location.host);//主机名+端口号<br />
            console.log(location.pathname);//文件路径<br />
            console.log(location.search);//从？开始的参数部分<br />
            console.log(location.hash);//从#开始的锚点部分</pre>
</div>
<h2>3.使用location进行页面跳转。</h2>
<div>
<pre class="prettyprint linenums">　　　　　　　function gotoBaidu(){//<br />
                location="http://www.baidu.com";<br />
//                window.location.href="http://www.baidu.com";<br />
            }</pre>
</div>
<h2>4.跳转页面，加载新页面以后，可以点击回退按钮返回。</h2>
<div>
<pre class="prettyprint linenums">　　　　　　　function gotoBaiduByAssign(){//<br />
                location.assign("http://www.baidu.com");<br />
            }</pre>
</div>
<h2>5.跳转页面，加载新页面以后，没有回退按钮，无法返回。</h2>
<div>
<pre class="prettyprint linenums">　　　　　　　function gotoBaiduByReplace(){//<br />
                location.replace("http://www.baidu.com");<br />
            }</pre>
</div>
<h2>6.刷新当前页面。</h2>
<p>①location.reload();刷新页面，如果本地有缓存，将从缓存中读取，相当于F5。<br />②location.reload(true);强制刷新，无论是否有缓存，都将请求后台加载最新数据，相当于Ctrl+F5。</p>
<div>
<pre class="prettyprint linenums">　　　　　　　function reloadPage(){//<br />
                location.reload();//刷新<br />
                location.reload(true);//重新加载页面，强制刷新<br />
            }</pre>
</div>
<h2>7.history。</h2>
<div>
<pre class="prettyprint linenums">　　　　　　　console.log(history);<br />
            console.log(history.length);//用于记录当前页面跳转的历史页面个数</pre>
</div>
<h2>8.点击去前一页，相当于浏览器的前进按钮，点击去后一页，相当于浏览器的后退按钮。</h2>
<div>
<pre class="prettyprint linenums">　　　　　　　function forward(){<br />
                location.forward();<br />
            }<br />
            function back(){<br />
                location.back(;)<br />
            }</pre>
</div>
<h2>9.表示跳转到浏览历史的任意页面。</h2>
<p>+1前面一页，相当于location.forward();<br />&nbsp; -1后面一页，相当于location.back();<br />&nbsp; 0当前页，刷新页面history.go(2);//第二页0刷新当前页</p>
<div>
<pre class="prettyprint linenums">　　　　　　　function go(){<br />
                history.go(2);//第二页0刷新当前页<br />
            }</pre>
</div>
<h2>10.&nbsp;navigator了解，返回关于浏览器的的各种信息。</h2>
<div>
<pre class="prettyprint linenums">　　　　　　　console.log(navigator);<br />
            //检测浏览器安装的所有插件<br />
            for(var i=0;i&lt;navigator.plugins.length;i++){<br />
                console.log(navigator.plugins[i].name);<br />
            }</pre>
</div>
<div><a>二、window对象的常用方法</a></div>
<p>1.prompt():弹窗输入<br />&nbsp;alert():弹窗输出<br />2.confirm("");带确定、取消的提示框，分别返回true、false<br />3.close();关闭当前浏览器窗口。<br />4.open();打开一个新窗口<br />&nbsp;参数一：新窗口的地址<br />&nbsp;参数二：新窗口的名字<br />&nbsp;参数三：新窗口的各种配置属性<br />&nbsp;width=600px,height=200px,top=10px;left=20px<br />5.setTimeout();延时器，表示延时多少ms执行一个函数。<br />&nbsp;参数一：可以传入匿名函数，也可以传入函数名。<br />&nbsp;参数二：延时毫秒数<br />&nbsp;参数三~参数n：传给回调函数的参数。<br />&nbsp;setTimeout(function(num1,num2){},2000,"haha",123);<br />6.setInterval();定时器，表示每隔多少毫秒执行一遍，其他方法与setTimeout()完全相同。<br />7.clearInterval和clearTimeout():分别清楚定时器，延时器。<br />&nbsp;声明定时时，可以接受返回的ID，并将ID传给clearInterval即可清除。</p>
<div>
<pre class="prettyprint linenums">//定时器<br />
            var num=0;<br />
            var intervalID=setInterval(function(){<br />
                num++;<br />
                console.log(num);<br />
            },1000);<br />
            setTimeout(function(){<br />
                clearInterval(intervalID);<br />
            },5000);<br />
            var num=0,sum=0;<br />
            var intervalID=setInterval(function(){<br />
                num++;<br />
                console.log(num);<br />
                if(num&gt;9){<br />
                    clearInterval(intervalID);<br />
                }<br />
            });</pre>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/xq4j5nqz.html">如何利用pt-online-schema-change进行MySQL表的主键变更</a>
		</li>
						<li><a href="https://www.batexi.com/a/39r1kg78.html">windows 7 右下角登陆信息去除</a>
		</li>
						<li><a href="https://www.batexi.com/a/2q75zk19.html">android Tab 类型切换界面</a>
		</li>
						<li><a href="https://www.batexi.com/a/90vmwko8.html">python3&period;0&lowbar;day9&lowbar;scoket基础之篇</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e14mej9.html">scala之method和function的区别</a>
		</li>
						<li><a href="https://www.batexi.com/a/95xg35z8.html">【shell】sort命令</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdenjzv9.html">ZendFramework 环境部署</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k1y3p39.html">C&num; 线程池异步调用</a>
		</li>
						<li><a href="https://www.batexi.com/a/qde6wwv9.html">paip&period;提升用户体验---论文本编辑器的色彩方案</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy1g06gq.html">（转）Linux命令grep</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4zo6jj9.html">css基础系列</a>
		</li>
						<li><a href="https://www.batexi.com/a/93wd04wq.html">Linux内存带宽的一些测试笔记【转】</a>
		</li>
						<li><a href="https://www.batexi.com/a/qllvgzkq.html">CBV与FBV</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwvzv3l8.html">JS判断是否是数组的四种做法</a>
		</li>
						<li><a href="https://www.batexi.com/a/95gng2vq.html">vue 动态组件、父子组件传参</a>
		</li>
						<li><a href="https://www.batexi.com/a/9ppnowz9.html">DRF02</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gpm4ml9.html">Java基础-Java中的内存分配与回收机制</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyv27vjq.html">计蒜客 30996 - Lpl and Energy-saving Lamps - &lbrack;线段树&rsqb;&lbrack;2018ICPC南京网络预赛G题&rsqb;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kov6wrq.html">cf-Round541-Div2-F（并查集&plus;静态链表）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gpn6309.html">open&lpar;&rpar; 函数以 r&plus; 模式打开文件</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/93y2nv08.html">Mybatis批量插入、批量更新</a>
			</li>
						<li><a href="https://www.batexi.com/a/950kdd08.html">从开发者角度解析 Android N 新特性！</a>
			</li>
						<li><a href="https://www.batexi.com/a/96pwz5j8.html">spring boot &plus; jersey工程由jar包转为war包在tomcat中启动报错问题</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2jl6kx8.html">org&period;eclipse&period;swt&period;SWTException&colon; Invalid thread access问题解决方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1k6dlz9.html">PLSQL Developer使用技巧</a>
			</li>
						<li><a href="https://www.batexi.com/a/8me7xypq.html">windows安装weblogic和域的建立</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv1m7noq.html">JAVA堆栈的区别</a>
			</li>
						<li><a href="https://www.batexi.com/a/8eylxnj9.html">java 多线程例子</a>
			</li>
						<li><a href="https://www.batexi.com/a/8oj0onlq.html">Android之Drawable</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gevk6l8.html">Day14   Javascript 点击添加出弹窗，取消隐藏弹窗小练习     反选，全选，取消边框</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
